Subject: g++, opengl, and STDCALL, * __attribute__ ((stdcall)) problem.
From: [email-masked] (ulisses mello)

29 Nov 1997 05:37:42 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

I am trying to compile a simple program (cube.c) with g++. I have no
problem to compile it using gcc. However, GL/gl.h does not compile in
g++. For example, I get the error:

sintax error before '__attribute__' on the function

WINGDIAP const GLubyte * APIENTRY glGetString( GLenum name);

making the substitutions from windows.h it becomes:

const GLubyte * __attribute ((stdcall)) glGetString( GLenum name);

I am aware the g++ flags an error for things like:

int * __stdcall foo(); // but has no problems with
int __stdcall *  foo();

But changing the order of * in gl.h has not solved the problem.

Has anyone encountered (and solved) this problem before?

Cheers -- ulisses.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".